Subject: Re: Setting up user mode cron
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Andrew DeFaria <[email-masked]>, [email-masked]
Cc: Andrew DeFaria <[email-masked]>
Date: Wed, 09 Jan 2002 17:26:55 -0500

At 05:06 PM 1/9/2002, Andrew DeFaria wrote:
>I've set up cron on my desktop according to /usr/doc/Cygwin/cron.README which states I should:
>
>$ cygrunsrv -I cron -p /usr/sbin/cron -a D -e "CYGWIN=ntsec"
>$ cygrunsrv -S cron
>
>And I have the following crontab installed:
>
>15 * * * * echo -e "Debugging cron $(date)\n"                >  
>/tmp/cron.log
>16 * * * * echo -e "Working directory:\n\n$(pwd)\n"          >> /tmp/cron.log
>17 * * * * echo -e "ID info:\n\n$(id)\n"                     >> /tmp/cron.log
>18 * * * * echo -e "Directory listing:\n\n$(ls)\n"           >> /tmp/cron.log
>19 * * * * echo -e "Script file:\n\n$(ls /tmp/update_view)\n" >> /tmp/cron.log
>20 * * * * echo -e "Executing: /tmp/update_view defaria"     >> /tmp/cron.log
>21 * * * * /tmp/update_view defaria                          >> /tmp/cron.log
>
>The resulting output is:
>
>Debugging cron Wed Jan  9 13:15:01  2002
>
>Working directory:
>
>/home/adefaria
>
>ID info:
>
>uid=1370(adefaria) gid=513(Domain Users) groups=0(Everyone),512(Domain Admins),513(Domain Users),1170(Everybody),1382(ITSupport)
>
>Directory listing:
>
>
>
>Script file:
>
>/tmp/update_view
>
>Executing: /tmp/update_view defaria
>
>It seems like cron works OK and runs as me in my home directory but I cannot access nor run any scripts! Not even in /tmp! Why?

Did you choose to mount '/' as 'user' rather than 'system' during the
install?  Check the output of 'mount' to find out.

>Executing this script from the command line yeilds:
>
>$ /tmp/update_view defaria
>update_view: Warning: View pname does not exist: defaria
>
>View pnames should be UNC names that lead to the top of the view
>For example: //sons-clearcase/Views/<viewname>

I believe you need to alter the permissions of the 'SYSTEM' account so 
that it can access the network.  I might be wrong on this.  Check the 
email archives for similar discussions on cron.  This *has* come up 
before.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/